Subject: Re: bug#56967: 29.0.50; Frequent crashes under Wayland

From: Bjoern Bidar <[email-masked]>
Date: Fri, 05 Aug 2022 11:26:34 +0300

Am Freitag, 5. August 2022, 10:46:03 EEST schrieb Eli Zaretskii:
> > From: Po Lu <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Fri, 05 Aug 2022 14:53:19 +0800
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > > How about asking the glibc developers to provide one, citing this very
> > > use case as the real-life problem to solve?  Specifically, what I'd
> > > like to do in that hook is to shut down Emacs in an orderly manner, so
> > > that the user won't lose all his/her edits.
> > 
> > By running the code inside `shut_down_emacs'?
> 
> Yes.
> 
> > I will indeed ask for such a hook.
> 
> Thanks.
> 
> > > Amazing.  Where did those people learn to develop friendly, extensible
> > > libraries? in what tyrannical culture?
> > 
> > I'd say their culture has changed in the past decade and is now pretty
> > close to Apple's.  Unfortunately, Wayland is gaining popularity (as
> > evidenced by the amount of our users who report related bugs), and GTK
> > is the only toolkit that provides useful support for it.
> 
> Maybe we should keep complaining there until someone hears us.
> Calling _exit after printing an error message is not a reasonable
> thing to do in a general-purpose library.  Exiting is something an
> application should do.
I agree.
Is there an existing bug for this? This reminds me of a similar bug in the X11 
session that still isn't fixed.